Package org.apache.storm.utils

## Class ObjectReader

- java.lang.Object
- - org.apache.storm.utils.ObjectReader

-     public class ObjectReader
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ObjectReader()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static boolean` | `getBoolean​(Object o, boolean defaultValue)` |
    `static Double` | `getDouble​(Object o)` |
    `static Double` | `getDouble​(Object o, Double defaultValue)` |
    `static Integer` | `getInt​(Object o)` |
    `static Integer` | `getInt​(Object o, Integer defaultValue)` |
    `static Long` | `getLong​(Object o)` |
    `static Long` | `getLong​(Object o, Long defaultValue)` |
    `static String` | `getString​(Object o)` |
    `static String` | `getString​(Object o, String defaultValue)` |
    `static List<String>` | `getStrings​(Object o)` | Convert the input into a list of string; ignore null members.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectReader

          public ObjectReader()

  - ### Method Detail

    - #### getStrings

          public static List<String> getStrings​(Object o)

      Convert the input into a list of string; ignore null members.
      Parameters:
        `o` - the input object
      Returns:
        a list of string

    - #### getString

          public static String getString​(Object o)

    - #### getString

          public static String getString​(Object o,
                                         String defaultValue)

    - #### getInt

          public static Integer getInt​(Object o)

    - #### getInt

          public static Integer getInt​(Object o,
                                       Integer defaultValue)

    - #### getLong

          public static Long getLong​(Object o)

    - #### getLong

          public static Long getLong​(Object o,
                                     Long defaultValue)

    - #### getDouble

          public static Double getDouble​(Object o)

    - #### getDouble

          public static Double getDouble​(Object o,
                                         Double defaultValue)

    - #### getBoolean

          public static boolean getBoolean​(Object o,
                                           boolean defaultValue)